CFG80211_INFORM_BSS_(9)

NAME
cfg80211_inform_bss_width_frame - inform cfg80211 of a received BSS frame

SYNOPSIS

struct cfg80211_bss * cfg80211_inform_bss_width_frame(struct wiphy * wiphy, struct ieee80211_channel * rx_channel, enum nl80211_bss_scan_width scan_width, struct ieee80211_mgmt * mgmt, size_t len, s32 signal, gfp_t gfp);

ARGUMENTS

wiphy
    the wiphy reporting the BSS

rx_channel
    The channel the frame was received on

scan_width
    width of the control channel

mgmt
    the management frame (probe response or beacon)

len
    length of the management frame

signal
    the signal strength, type depends on the wiphy's signal_type

gfp
    context flags

DESCRIPTION

This informs cfg80211 that BSS information was found and the BSS should be updated/added.

RETURN

A referenced struct, must be released with cfg80211_put_bss! Or NULL on error.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT